Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167866 - Unnecessary reindexing while switching files opened in editor
Unnecessary reindexing while switching files opened in editor
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Dusan Balek
issues@editor
67patch1-verified
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 10:26 UTC by Dusan Balek
Modified: 2009-07-16 14:27 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Balek 2009-06-30 10:26:02 UTC
Open two dependent files in editor. Make some modification to one of them. Save the modified document. Both files are
correctly reindexed. Now with every focus switch from one file to other - files are reindexed again and again (even if
there are no more modifications).
Comment 1 Dusan Balek 2009-06-30 11:05:32 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/2b268b5fd75f
Comment 2 Quality Engineering 2009-07-01 05:28:14 UTC
Integrated into 'main-golden', will be available in build *200907010200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2b268b5fd75f
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #167866: Unnecessary reindexing while switching files opened in editor - fixed.
Comment 3 Petr Blaha 2009-07-02 13:07:45 UTC
v.
Comment 4 pgebauer 2009-07-03 13:19:35 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/5fc9f2a94d88
Comment 5 Jiri Prox 2009-07-16 14:27:57 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo